Legend for external layers

property

  {string} name

property

  {string} url

property

  {string} title

### Hierarchy

- unknown
  - default

## Index

### Constructors

- constructor

### Accessors

- legend

## Constructors

### constructor

- new default(options: any, legend: Legend): default

- Overrides gmfDatasourceOGC.constructor

  - Defined in src/datasource/ExternalOGC.js:41

  A `gmf.externalDatasource.OGC` extends a `gmf.datasource.OGC` and adds some properties that are proper to GMF and external dataSource only.

  #### Parameters

  - ##### options: any

    Options.

  - ##### legend: Legend

    The legend object.

  #### Returns default

## Accessors

### legend

- get legend(): Legend

- - Defined in src/datasource/ExternalOGC.js:53

  #### Returns Legend

  legend objects

Generated using TypeDoc